{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "alpine"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#unix_align_cmd.cwl/fastq1_path",
                    "type": "File"
                },
                {
                    "id": "#unix_align_cmd.cwl/fastq2_path",
                    "type": "File"
                },
                {
                    "id": "#unix_align_cmd.cwl/readgroup_path",
                    "type": "File"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(  '\"' + inputs.fastq1_path.path.split('/').slice(-1)[0] + '\"' )",
                    "position": 1,
                    "shellQuote": false
                },
                {
                    "valueFrom": ">",
                    "position": 2,
                    "shellQuote": false
                },
                {
                    "valueFrom": "$( inputs.readgroup_path.path.split('/').slice(-1)[0].slice(0,-10)+\"_realign.bam\" )",
                    "position": 3,
                    "shellQuote": false
                },
                {
                    "valueFrom": "&&",
                    "position": 4,
                    "shellQuote": false
                },
                {
                    "valueFrom": "echo",
                    "position": 5,
                    "shellQuote": false
                },
                {
                    "valueFrom": "$(  '\"' + inputs.fastq2_path.path.split('/').slice(-1)[0] + '\"' )",
                    "position": 6,
                    "shellQuote": false
                },
                {
                    "valueFrom": ">>",
                    "position": 7,
                    "shellQuote": false
                },
                {
                    "valueFrom": "$( inputs.readgroup_path.path.split('/').slice(-1)[0].slice(0,-10)+\"_realign.bam\" )",
                    "position": 8,
                    "shellQuote": false
                },
                {
                    "valueFrom": "&&",
                    "position": 9,
                    "shellQuote": false
                },
                {
                    "valueFrom": "echo",
                    "position": 10,
                    "shellQuote": false
                },
                {
                    "valueFrom": "$(  '\"' + inputs.readgroup_path.path.split('/').slice(-1)[0] + '\"' )",
                    "position": 11,
                    "shellQuote": false
                },
                {
                    "valueFrom": ">>",
                    "position": 12,
                    "shellQuote": false
                },
                {
                    "valueFrom": "$( inputs.readgroup_path.path.split('/').slice(-1)[0].slice(0,-10)+\"_realign.bam\" )",
                    "position": 13,
                    "shellQuote": false
                }
            ],
            "baseCommand": "echo",
            "id": "#unix_align_cmd.cwl",
            "outputs": [
                {
                    "id": "#unix_align_cmd.cwl/output_bam",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(  inputs.readgroup_path.path.split('/').slice(-1)[0].slice(0,-10)+\"_realign.bam\" )"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "id": "#main/fastq1_path",
                    "type": "File"
                },
                {
                    "id": "#main/fastq2_path",
                    "type": "File"
                },
                {
                    "id": "#main/readgroup_path",
                    "type": "File"
                }
            ],
            "outputs": [
                {
                    "id": "#main/align_output",
                    "type": "File",
                    "outputSource": "#main/align/output_bam"
                }
            ],
            "steps": [
                {
                    "id": "#main/align",
                    "run": "#unix_align_cmd.cwl",
                    "in": [
                        {
                            "id": "#main/align/fastq1_path",
                            "source": "#main/fastq1_path"
                        },
                        {
                            "id": "#main/align/fastq2_path",
                            "source": "#main/fastq2_path"
                        },
                        {
                            "id": "#main/align/readgroup_path",
                            "source": "#main/readgroup_path"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/align/output_bam"
                        }
                    ]
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
